libfm-1.3.1

Introduction to libfm

The libfm package contains a library used to develop file managers providing some file management utilities.

This package is known to build and work properly using an LFS-8.3 platform.

Package Information

libfm Dependencies

Required

GTK+-3.24.4 or GTK+-2.24.32 and menu-cache-1.1.0

Recommended

Optional

GTK-Doc-1.29, dbus-glib-0.110 and Gvfs-1.38.1 or udisks (for volume management - experimental)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libfm

Installation of libfm

Install libfm by running the following commands:

./configure --prefix=/usr     \
            --sysconfdir=/etc \
            --disable-static  &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--with-gtk=3: This option selects the version of gtk+ to use. The default is gtk+-2.

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Program: libfm-pref-apps and lxshortcut
Installed Libraries: libfm.so, libfm-extra.so and libfm-gtk.so
Installed Directories: /etc/xdg/libfm, /usr/lib/libfm, /usr/share/gtk-doc/html/libfm and /usr/share/libfm

Short Descriptions

libfm-pref-apps

sets preferred applications for programs based on libfm.

lxshortcut

is a small program used to edit application shortcuts.

libfm.so

contains the libfm API functions.

Last updated on 2018-12-29 14:43:02 -0600